GlueGen: com.jogamp.gluegen.structgen.CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter Class Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

Protected Member Functions | List of all members
com.jogamp.gluegen.structgen.CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter Class Reference
Inheritance diagram for com.jogamp.gluegen.structgen.CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter:
Collaboration diagram for com.jogamp.gluegen.structgen.CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter:

## Protected Member Functions

CCodeUnit | openCUnit (final String filename, final String cUnitName) throws IOException
JavaCodeUnit | openJavaUnit (final String filename, final String packageName, final String simpleClassName) throws IOException
Protected Member Functions inherited from com.jogamp.gluegen.JavaEmitter
JavaConfiguration | createConfig ()
| Create the object that will read and store configuration information for this JavaEmitter. More...
void | generatePublicEmitters (final MethodBinding binding, final List< FunctionEmitter > allEmitters, final boolean signatureOnly)

Generates the public emitters for this MethodBinding which will produce either simply signatures (for the interface class, if any) or function definitions with or without a body (depending on whether or not the implementing function can go directly to native code because it doesn't need any processing of the outgoing arguments). More...

void | generatePrivateEmitters (final MethodBinding binding, final List< FunctionEmitter > allEmitters)
| Generates the private emitters for this MethodBinding. More...
void | prepCEmitter (final String returnSizeLookupName, final JavaType javaReturnType, final CMethodBindingEmitter cEmitter)
List<? extends FunctionEmitter > | generateMethodBindingEmitters (final FunctionSymbol sym) throws Exception
| Generate all appropriate Java bindings for the specified C function symbols. More...
CCodeUnit | openCUnit (final String filename, final String cUnitName) throws IOException
JavaCodeUnit | openJavaUnit (final String filename, final String packageName, final String simpleClassName) throws IOException
JavaCodeUnit | javaUnit ()
JavaCodeUnit | javaImplUnit ()
CCodeUnit | cUnit ()
String | getJavaOutputDir ()
| Returns the value that was specified by the configuration directive "JavaOutputDir", or the default if none was specified. More...
String | getJavaPackageName ()
| Returns the value that was specified by the configuration directive "Package", or the default if none was specified. More...
String | getImplPackageName ()
| Returns the value that was specified by the configuration directive "ImplPackage", or the default if none was specified. More...
void | emitCustomJavaCode (final CodeUnit unit, final String className) throws Exception
| Emit all the strings specified in the "CustomJavaCode" parameters of the configuration file. More...
void | emitCustomJNICode (final CodeUnit unit, final String className) throws Exception
| Emit all the strings specified in the "CustomJNICode" parameters of the configuration file. More...
void | emitAllFileHeaders () throws IOException
| Write out any header information for the output files (class declaration and opening brace, import statements, etc). More...
void | emitAllFileFooters ()
| Write out any footer information for the output files (closing brace of class definition, etc). More...
void | mangleBinding (final MethodBinding binding)
| Allow specializations to modify the given `MethodBinding` before `expanding` and emission. More...
List< MethodBinding > | expandMethodBinding (final MethodBinding binding)

## Additional Inherited Members

Public Member Functions inherited from com.jogamp.gluegen.JavaEmitter
| JavaEmitter ()
| JavaEmitter (final JavaConfiguration cfg)
void | readConfigurationFile (final String filename) throws Exception
JavaConfiguration | getConfig ()
void | beginEmission (final GlueEmitterControls controls) throws IOException
| Begin the emission of glue code. More...
void | endEmission ()
| Finish the emission of glue code. More...
void | beginDefines () throws Exception
void | emitDefine (final ConstantDefinition def, final String optionalComment) throws Exception
void | endDefines () throws Exception
void | beginFunctions (final TypeDictionary typedefDictionary, final TypeDictionary structDictionary, final Map< Type, Type > canonMap, final List< FunctionSymbol > cFunctions) throws Exception
Iterator< FunctionSymbol > | emitFunctions (final List< FunctionSymbol > funcsToBind) throws Exception
| Emit glue code for the list of FunctionSymbols. More...
void | endFunctions () throws Exception
void | beginStructLayout () throws Exception
| Begins the process of computing field offsets and type sizes for the structs to be emitted. More...
void | layoutStruct (final CompoundType t) throws Exception
| Lays out one struct which will be emitted later. More...
void | endStructLayout () throws Exception
| Finishes the struct layout process. More...
void | beginStructs (final TypeDictionary typedefDictionary, final TypeDictionary structDictionary, final Map< Type, Type > canonMap) throws Exception
void | emitStruct (final CompoundType structCType, final Type structCTypedefPtr) throws Exception
| Emit glue code for the given CompoundType. More...
void | endStructs () throws Exception
String[] | getClassAccessModifiers (final String classFQName)
void | readConfigurationFile (String filename) throws Exception
JavaConfiguration | getConfig ()
void | beginEmission (GlueEmitterControls controls) throws Exception
| Begin the emission of glue code. More...
void | endEmission () throws Exception
| Finish the emission of glue code. More...
void | beginDefines () throws Exception
void | emitDefine (ConstantDefinition def, String optionalComment) throws Exception
void | endDefines () throws Exception
void | beginFunctions (TypeDictionary typedefDictionary, TypeDictionary structDictionary, Map< Type, Type > canonMap, List< FunctionSymbol > cFunctions) throws Exception
Iterator< FunctionSymbol > | emitFunctions (List< FunctionSymbol > cFunctions) throws Exception
| Emit glue code for the list of FunctionSymbols. More...
void | endFunctions () throws Exception
void | beginStructLayout () throws Exception
| Begins the process of computing field offsets and type sizes for the structs to be emitted. More...
void | layoutStruct (CompoundType t) throws Exception
| Lays out one struct which will be emitted later. More...
void | endStructLayout () throws Exception
| Finishes the struct layout process. More...
void | beginStructs (TypeDictionary typedefDictionary, TypeDictionary structDictionary, Map< Type, Type > canonMap) throws Exception
void | emitStruct (CompoundType t, Type typedefType) throws Exception
| Emit glue code for the given CompoundType. More...
void | endStructs () throws Exception
Static Public Member Functions inherited from com.jogamp.gluegen.JavaEmitter
static int | addStrings2Buffer (StringBuilder buf, final String sep, final String first, final Collection< String > col)
Static Protected Member Functions inherited from com.jogamp.gluegen.JavaEmitter
static String | jniMangle (final String name)
| Mangle a class, package or function name for JNI usage, i.e. More...
static String | getJNIMethodNamePrefix (final String javaPackageName, final String javaClassName)
| Returns the JNI method prefix consisting our of mangled package- and class-name. More...
Protected Attributes inherited from com.jogamp.gluegen.JavaEmitter
JavaConfiguration | cfg
final LoggerIf | LOG

## Detailed Description

Definition at line 291 of file CStructAnnotationProcessor.java.

## Member Function Documentation

## ◆ openCUnit()

CCodeUnit com.jogamp.gluegen.structgen.CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter.openCUnit | ( | final String | filename,
|  | final String | cUnitName
| ) |  | throws IOException

protected

Parameters

  filename | the class's full filename to open w/ write access
  cUnitName | the base c-unit name, i.e. c-file basename with suffix
  generator | informal optional object that is creating this unit, used to be mentioned in a warning message if not null.

Exceptions

  IOException |

Reimplemented from com.jogamp.gluegen.JavaEmitter.

Definition at line 309 of file CStructAnnotationProcessor.java.

## ◆ openJavaUnit()

JavaCodeUnit com.jogamp.gluegen.structgen.CStructAnnotationProcessor.AnnotationProcessorJavaStructEmitter.openJavaUnit | ( | final String | filename,
|  | final String | packageName,
|  | final String | simpleClassName
| ) |  | throws IOException

protected

Parameters

  filename | the class's full filename to open w/ write access
  packageName | the package name of the class
  simpleClassName | the simple class name, i.e. w/o package name or c-file basename
  generator | informal optional object that is creating this unit, used to be mentioned in a warning message if not null.

Exceptions

  IOException |

Reimplemented from com.jogamp.gluegen.JavaEmitter.

Definition at line 324 of file CStructAnnotationProcessor.java.

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/structgen/CStructAnnotationProcessor.java